package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * SimplifiedCallBlockingProfile
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class SimplifiedCallBlockingProfile   {
  @JsonProperty("callBlockingProfileId")
  private String callBlockingProfileId;

  @JsonProperty("callBlockingProfileName")
  private String callBlockingProfileName;

  public SimplifiedCallBlockingProfile callBlockingProfileId(String callBlockingProfileId) {
    this.callBlockingProfileId = callBlockingProfileId;
    return this;
  }

  /**
   * Call blocking profile id.
   * @return callBlockingProfileId
  */
  @ApiModelProperty(value = "Call blocking profile id.")


  public String getCallBlockingProfileId() {
    return callBlockingProfileId;
  }

  public void setCallBlockingProfileId(String callBlockingProfileId) {
    this.callBlockingProfileId = callBlockingProfileId;
  }

  public SimplifiedCallBlockingProfile callBlockingProfileName(String callBlockingProfileName) {
    this.callBlockingProfileName = callBlockingProfileName;
    return this;
  }

  /**
   * Call blocking profile name.
   * @return callBlockingProfileName
  */
  @ApiModelProperty(value = "Call blocking profile name.")


  public String getCallBlockingProfileName() {
    return callBlockingProfileName;
  }

  public void setCallBlockingProfileName(String callBlockingProfileName) {
    this.callBlockingProfileName = callBlockingProfileName;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SimplifiedCallBlockingProfile simplifiedCallBlockingProfile = (SimplifiedCallBlockingProfile) o;
    return Objects.equals(this.callBlockingProfileId, simplifiedCallBlockingProfile.callBlockingProfileId) &&
        Objects.equals(this.callBlockingProfileName, simplifiedCallBlockingProfile.callBlockingProfileName);
  }

  @Override
  public int hashCode() {
    return Objects.hash(callBlockingProfileId, callBlockingProfileName);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SimplifiedCallBlockingProfile {\n");
    
    sb.append("    callBlockingProfileId: ").append(toIndentedString(callBlockingProfileId)).append("\n");
    sb.append("    callBlockingProfileName: ").append(toIndentedString(callBlockingProfileName)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

